org.apache.fop.fonts.truetype

## Interface TTFGlyphOutputStream

All Known Implementing Classes:
  PSTTFGlyphOutputStream

    public interface TTFGlyphOutputStream

An interface for writing individual glyphs from the glyf table of a TrueType font to an output stream.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `endGlyphStream()` Ends the streaming of glyphs.
`void` `startGlyphStream()` Begins the streaming of glyphs.
`void` `streamGlyph(byte[] glyphData, int offset, int size)` Streams an individual glyph from the given byte array.

### Method Detail

#### startGlyphStream

    void startGlyphStream()
                   throws IOException

Begins the streaming of glyphs.

Throws:
  `IOException`

#### streamGlyph

    void streamGlyph(byte[] glyphData,
                     int offset,
                     int size)
              throws IOException

Streams an individual glyph from the given byte array.

Parameters:
  `glyphData` - the source of the glyph data to stream from
  `offset` - the position in the glyph data where the glyph starts
  `size` - the size of the glyph data in bytes
Throws:
  `IOException`

#### endGlyphStream

    void endGlyphStream()
                 throws IOException

Ends the streaming of glyphs.

Throws:
  `IOException`